// NtKmedDlg.h : header file
//

#if !defined(AFX_NTKGSDLG_H__F7C0B736_B8F6_11D1_ADDB_00805FB8FEA7__INCLUDED_)
#define AFX_NTKGSDLG_H__F7C0B736_B8F6_11D1_ADDB_00805FB8FEA7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DebugThread.h"

/////////////////////////////////////////////////////////////////////////////
// CNtKmedDlg dialog

class CNtKmedDlg : public CDialog
{
// Construction
public:
	CNtKmedDlg(CWnd* pParent = NULL);	// standard constructor
	~CNtKmedDlg(void);

	void UpdateMessage(CString const Message ="");

// Dialog Data
	//{{AFX_DATA(CNtKmedDlg)
	enum { IDD = IDD_NTKGS_DIALOG };
	CButton	m_DisconnectButton;
	CButton	m_ConnectButton;
	CString	m_DriverName;
	DWORD	m_PortNumber;
	CString	m_MessageText;
	int		m_EndianIndex;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNtKmedDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNtKmedDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	DEBUG_INFO_T m_DebugInfo;
	HANDLE m_hDebugThread;
	DWORD m_TimerID;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NTKGSDLG_H__F7C0B736_B8F6_11D1_ADDB_00805FB8FEA7__INCLUDED_)
